Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1060794 - error: rpmdb open failed
Summary: error: rpmdb open failed
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:12cd9992d61c6d59b7efda3932f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-03 16:04 UTC by Jan Teichmann
Modified: 2015-06-29 14:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:58:14 UTC


Attachments (Terms of Use)
File: anaconda-tb (deleted)
2014-02-03 16:04 UTC, Jan Teichmann
no flags Details
File: anaconda.log (deleted)
2014-02-03 16:04 UTC, Jan Teichmann
no flags Details
File: environ (deleted)
2014-02-03 16:04 UTC, Jan Teichmann
no flags Details
File: journalctl (deleted)
2014-02-03 16:04 UTC, Jan Teichmann
no flags Details
File: lsblk_output (deleted)
2014-02-03 16:04 UTC, Jan Teichmann
no flags Details
File: nmcli_dev_list (deleted)
2014-02-03 16:04 UTC, Jan Teichmann
no flags Details
File: os_info (deleted)
2014-02-03 16:04 UTC, Jan Teichmann
no flags Details
File: program.log (deleted)
2014-02-03 16:04 UTC, Jan Teichmann
no flags Details
File: storage.log (deleted)
2014-02-03 16:04 UTC, Jan Teichmann
no flags Details
File: ifcfg.log (deleted)
2014-02-03 16:04 UTC, Jan Teichmann
no flags Details
File: packaging.log (deleted)
2014-02-03 16:04 UTC, Jan Teichmann
no flags Details

Description Jan Teichmann 2014-02-03 16:04:02 UTC
Version-Release number of selected component:
anaconda-20.25.15-1.fc20.x86_64

The following was filed automatically by anaconda:
anaconda 20.25.15-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/packaging/__init__.py", line 613, in _setDefaultBootTarget
    if ts.dbMatch("provides", 'service(graphical-login)').count() and \
  File "/usr/lib64/python2.7/site-packages/pyanaconda/packaging/__init__.py", line 642, in postInstall
    self._setDefaultBootTarget()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/packaging/livepayload.py", line 150, in postInstall
    super(LiveImagePayload, self).postInstall()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 168, in doInstall
    payload.postInstall()
  File "/usr/lib64/python2.7/threading.py", line 764, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 192, in run
    threading.Thread.run(self, *args, **kwargs)
error: rpmdb open failed

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=Fedora-Live-Desktop-x86_64-20-1 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.11.10-301.fc20.x86_64
other involved packages: python-libs-2.7.5-9.fc20.x86_64
product:        Fedora
release:        Fedora release 20 (Heisenbug)
type:           anaconda
version:        20

Potential duplicate: bug 868755

Comment 1 Jan Teichmann 2014-02-03 16:04:07 UTC
Created attachment 858671 [details]
File: anaconda-tb

Comment 2 Jan Teichmann 2014-02-03 16:04:09 UTC
Created attachment 858672 [details]
File: anaconda.log

Comment 3 Jan Teichmann 2014-02-03 16:04:11 UTC
Created attachment 858673 [details]
File: environ

Comment 4 Jan Teichmann 2014-02-03 16:04:27 UTC
Created attachment 858674 [details]
File: journalctl

Comment 5 Jan Teichmann 2014-02-03 16:04:30 UTC
Created attachment 858675 [details]
File: lsblk_output

Comment 6 Jan Teichmann 2014-02-03 16:04:31 UTC
Created attachment 858676 [details]
File: nmcli_dev_list

Comment 7 Jan Teichmann 2014-02-03 16:04:38 UTC
Created attachment 858677 [details]
File: os_info

Comment 8 Jan Teichmann 2014-02-03 16:04:41 UTC
Created attachment 858678 [details]
File: program.log

Comment 9 Jan Teichmann 2014-02-03 16:04:44 UTC
Created attachment 858679 [details]
File: storage.log

Comment 10 Jan Teichmann 2014-02-03 16:04:46 UTC
Created attachment 858680 [details]
File: ifcfg.log

Comment 11 Jan Teichmann 2014-02-03 16:04:49 UTC
Created attachment 858681 [details]
File: packaging.log

Comment 12 Chris Lumens 2014-02-03 22:09:33 UTC
Yet more lies from some component about how much disk space is required:

10:53:22,687 INFO program: Running... rsync -pogAXtlHrDx --exclude /dev/ --exclude /proc/ --exclude /sys/ --exclude /run/ --exclude /boot/*rescue* --exclude /etc/machine-id /mnt/install/source/ /mnt/sysimage
11:00:23,386 INFO program: rsync: write failed on "/mnt/sysimage/usr/share/tracker/ontologies/41-mfo.ontology": No space left on device (28)
11:00:23,478 INFO program: rsync error: error in file IO (code 11) at receiver.c(389) [receiver=3.1.0pre1]

Comment 13 Fedora End Of Life 2015-05-29 10:47:33 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-06-29 14:58:14 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.